jif.ast

## Class LabelNode_c

- java.lang.Object
- - polyglot.ast.Node_c
  - - jif.ast.LabelNode_c

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, ActsForParamNode<Label>, LabelComponentNode, LabelNode, ParamNode, polyglot.ast.Node, polyglot.ast.NodeOps, polyglot.util.Copy<polyglot.ast.Node>
  Direct Known Subclasses:
    AmbLabelNode_c, CanonicalLabelNode_c

      public abstract class LabelNode_c
      extends polyglot.ast.Node_c
      implements LabelNode

  An implementation of the `LabelNode` interface.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

  - ### Field Summary

    - ### Fields inherited from class polyglot.ast.Node_c

      `del, error, ext, position`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `LabelNode_c(polyglot.util.Position pos)` Deprecated.
    `` | `LabelNode_c(polyglot.util.Position pos, polyglot.ast.Ext ext)`
    `protected` | `LabelNode_c(polyglot.util.Position pos, Label label)` Deprecated.
    `protected` | `LabelNode_c(polyglot.util.Position pos, Label label, polyglot.ast.Ext ext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dump(polyglot.util.CodeWriter w)`
    `boolean` | `isDisambiguated()`
    `Label` | `label()`
    `LabelNode` | `label(Label label)`
    `Label` | `parameter()`
    `LabelNode` | `parameter(Label label)`
    `void` | `prettyPrint(polyglot.util.CodeWriter w, polyglot.visit.PrettyPrinter tr)`
    `java.lang.String` | `toString()`
    `void` | `translate(polyglot.util.CodeWriter w, polyglot.visit.Translator tr)`

    - ### Methods inherited from class polyglot.ast.Node_c

      `addDecls, buildTypes, buildTypesEnter, checkConstants, childExpectedType, copy, copy, copy, copyIfNeeded, del, del, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, dump, dump, enterChildScope, enterScope, error, error, error, exceptionCheck, exceptionCheckEnter, ext, ext, ext, ext, extRewrite, extRewriteEnter, extRewriteOverride, isTypeChecked, lang, position, position, position, prettyPrint, prettyPrint, prettyPrint, prettyPrint, print, printBlock, printSubStmt, throwTypes, typeCheck, typeCheckEnter, typeCheckOverride, visit, visitChild, visitChildren, visitEdge, visitList`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface polyglot.ast.Node

      `del, del, error, error, ext, ext, ext, ext, isTypeChecked, position, position, visit, visitEdge`

    - ### Methods inherited from interface polyglot.ast.NodeOps

      `addDecls, buildTypes, buildTypesEnter, checkConstants, childExpectedType, copy, copy, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, extRewrite, extRewriteEnter, extRewriteOverride, lang, prettyPrint, prettyPrint, prettyPrint, prettyPrint, throwTypes, typeCheck, typeCheckEnter, typeCheckOverride, visitChild, visitChildren, visitList`

    - ### Methods inherited from interface polyglot.util.Copy

      `copy`

- - ### Constructor Detail

    - #### LabelNode_c

          @Deprecated
          public LabelNode_c(polyglot.util.Position pos)

      Deprecated.

    - #### LabelNode_c

          public LabelNode_c(polyglot.util.Position pos,
                             polyglot.ast.Ext ext)

    - #### LabelNode_c

          @Deprecated
          protected LabelNode_c(polyglot.util.Position pos,
                                            Label label)

      Deprecated.

    - #### LabelNode_c

          protected LabelNode_c(polyglot.util.Position pos,
                                Label label,
                                polyglot.ast.Ext ext)

  - ### Method Detail

    - #### isDisambiguated

          public boolean isDisambiguated()

      Specified by:
        `isDisambiguated` in interface `polyglot.ast.Node`
      Overrides:
        `isDisambiguated` in class `polyglot.ast.Node_c`

    - #### label

          public Label label()

      Specified by:
        `label` in interface `LabelNode`

    - #### label

          public LabelNode label(Label label)

      Specified by:
        `label` in interface `LabelNode`

    - #### parameter

          public Label parameter()

      Specified by:
        `parameter` in interface `ActsForParamNode<Label>`
      Specified by:
        `parameter` in interface `ParamNode`

    - #### parameter

          public LabelNode parameter(Label label)

      Specified by:
        `parameter` in interface `ActsForParamNode<Label>`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `polyglot.ast.Node_c`

    - #### prettyPrint

          public void prettyPrint(polyglot.util.CodeWriter w,
                                  polyglot.visit.PrettyPrinter tr)

      Specified by:
        `prettyPrint` in interface `polyglot.ast.NodeOps`
      Overrides:
        `prettyPrint` in class `polyglot.ast.Node_c`

    - #### dump

          public void dump(polyglot.util.CodeWriter w)

      Specified by:
        `dump` in interface `polyglot.ast.Node`
      Overrides:
        `dump` in class `polyglot.ast.Node_c`

    - #### translate

          public final void translate(polyglot.util.CodeWriter w,
                                      polyglot.visit.Translator tr)

      Specified by:
        `translate` in interface `polyglot.ast.NodeOps`
      Overrides:
        `translate` in class `polyglot.ast.Node_c`